tidy::repairFile
tidy::root
tidy
PHP Manual

# tidy::repairString

# tidy_repair_string

(PHP 5, PECL tidy >= 0.7.0)

tidy::repairString -- tidy_repair_string — Repair a string using an optionally provided configuration file

### Description

Object oriented style

string tidy::repairString ( string `$data` [, mixed `$config` [, string `$encoding` ]] )

Procedural style

string tidy_repair_string ( string `$data` [, mixed `$config` [, string `$encoding` ]] )

Repairs the given string.

### Parameters

`data`

  The data to be repaired.

`config`

  The config `config` can be passed either as an array or as a string. If a string is passed, it is interpreted as the name of the configuration file, otherwise, it is interpreted as the options themselves.

  Check » http://tidy.sourceforge.net/docs/quickref.html for an explanation about each option.

`encoding`

  The `encoding` parameter sets the encoding for input/output documents. The possible values for encoding are: ascii, latin0, latin1, raw, utf8, iso2022, mac, win1252, ibm858, utf16, utf16le, utf16be, big5, and shiftjis.

### Return Values

Returns the repaired string.

### Examples

Example #1 tidy::repairString() example

`<?php
ob_start();
?>
<html>
<head>
<title>test</title>
</head>
<body>
<p>error</i>
</body>
</html>
<?php
$buffer = ob_get_clean();
$tidy = new tidy();
$clean = $tidy->repairString($buffer);
echo $clean;
?>`

The above example will output:

    <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 3.2//EN">
    <html>
    <head>
    <title>test</title>
    </head>
    <body>
    <p>error</p>
    </body>
    </html>

### Notes

> Note: The optional parameters `config` and `encoding` were added in Tidy 2.0.

### See Also

- tidy::parseFile() - Parse markup in file or URI
- tidy::parseString() - Parse a document stored in a string
- tidy::repairFile() - Repair a file and return it as a string

tidy::repairFile
tidy::root
tidy
PHP Manual